function populateSurveyTable()
{
	$.get("ajax_getbooks",function(books,status) {
	    $("#ajax_table").find("tbody").detach();
	    $("#ajax_table").append(
		$.map(books,function(book,index) {
		    result = "<tr>"+
			     "<td class='title'>"+book.title+"</td>"+
		             "<td class='author'>"+book.author+"</td>"+
			     "<td class='id'>"+book.isbn+"</td>"+
		             "<td class='votes'>"+book.votes+"</td>"+
	                     "<td><button type='button' class='votebutton'>vote</button></td>"+
		             "</tr>"
		    return result;
		}).join());
	    $(".votebutton").click(function(e) {
		isbn = $(e.target.parentElement).siblings(".id")[0].innerHTML;
		$.get("ajax_sendvote?isbn="+isbn,function(book,status) {
		    $(e.target.parentElement).siblings(".votes")[0].innerHTML=book.votes;
		});
	    });
	});    
}

$(document).ready(function () {
    $("#ajax_form").submit(function(e) {
	e.preventDefault();
	populateSurveyTable();
    });

    populateSurveyTable();
});
